"use strict";Object.defineProperty(exports, "__esModule", {value: true});











var _chunkRJBXIRPIcjs = require('./chunk-RJBXIRPI.cjs');














var _chunkD3KINVJ5cjs = require('./chunk-D3KINVJ5.cjs');


var _chunkLMPRNVYBcjs = require('./chunk-LMPRNVYB.cjs');


var _chunkQ477TRCCcjs = require('./chunk-Q477TRCC.cjs');

// src/common/bin/index.ts
var BinaryEncoder = class {
  async encode(data) {
    const dataEncoder = _chunkD3KINVJ5cjs.createBinEncoder.call(void 0, );
    _chunkD3KINVJ5cjs.writeAny.call(void 0, dataEncoder, data);
    return _chunkD3KINVJ5cjs.encodeToUint8Array.call(void 0, dataEncoder);
  }
  async decode(data) {
    return _chunkRJBXIRPIcjs.readAny.call(void 0, _chunkRJBXIRPIcjs.createDecoder.call(void 0, _chunkQ477TRCCcjs.toUint8Array.call(void 0, data)));
  }
};
function encodeJson(data) {
  const dataEncoder = _chunkD3KINVJ5cjs.createBinEncoder.call(void 0, );
  _chunkD3KINVJ5cjs.writeAny.call(void 0, dataEncoder, data);
  return _chunkD3KINVJ5cjs.encodeToUint8Array.call(void 0, dataEncoder);
}
function decodeJson(data) {
  return _chunkRJBXIRPIcjs.readAny.call(void 0, _chunkRJBXIRPIcjs.createDecoder.call(void 0, _chunkQ477TRCCcjs.toUint8Array.call(void 0, data)));
}
function createBinaryStreamEncoder(initialData) {
  const dataEncoder = _chunkD3KINVJ5cjs.createBinEncoder.call(void 0, );
  if (initialData != null)
    _chunkD3KINVJ5cjs.writeUint8Array.call(void 0, dataEncoder, _chunkQ477TRCCcjs.toUint8Array.call(void 0, initialData));
  return {
    /** Just writes the bytes. Length is not stored! */
    writeBytes: (data, expectedLength) => {
      const bin = _chunkQ477TRCCcjs.toUint8Array.call(void 0, data);
      _chunkLMPRNVYBcjs.assertCondition.call(void 0, !(expectedLength != null && bin.length !== expectedLength), `Expected ${expectedLength} bytes, got ${bin.length}`);
      _chunkD3KINVJ5cjs.writeUint8Array.call(void 0, dataEncoder, bin);
    },
    writeBytesVar: (data) => _chunkD3KINVJ5cjs.writeVarUint8Array.call(void 0, dataEncoder, _chunkQ477TRCCcjs.toUint8Array.call(void 0, data)),
    writeUintVar: (data) => _chunkD3KINVJ5cjs.writeVarUint.call(void 0, dataEncoder, data),
    writeUint8: (data) => _chunkD3KINVJ5cjs.writeUint8.call(void 0, dataEncoder, data),
    writeUint16: (data) => _chunkD3KINVJ5cjs.writeUint16.call(void 0, dataEncoder, data),
    writeUint32: (data) => _chunkD3KINVJ5cjs.writeUint32.call(void 0, dataEncoder, data),
    writeIntVar: (data) => _chunkD3KINVJ5cjs.writeVarInt.call(void 0, dataEncoder, data),
    writeFloat: (data) => _chunkD3KINVJ5cjs.writeFloat32.call(void 0, dataEncoder, data),
    writeStringVar: (data) => _chunkD3KINVJ5cjs.writeVarString.call(void 0, dataEncoder, data),
    write: (data) => _chunkD3KINVJ5cjs.writeAny.call(void 0, dataEncoder, data),
    getUint8Array: () => _chunkD3KINVJ5cjs.encodeToUint8Array.call(void 0, dataEncoder),
    getLength: () => _chunkD3KINVJ5cjs.length.call(void 0, dataEncoder)
  };
}
function createBinaryStreamDecoder(data) {
  const dataDecoder = _chunkRJBXIRPIcjs.createDecoder.call(void 0, _chunkQ477TRCCcjs.toUint8Array.call(void 0, data));
  return {
    readBytes: (len) => _chunkRJBXIRPIcjs.readUint8Array.call(void 0, dataDecoder, len),
    readBytesVar: () => _chunkRJBXIRPIcjs.readVarUint8Array.call(void 0, dataDecoder),
    readUintVar: () => _chunkRJBXIRPIcjs.readVarUint.call(void 0, dataDecoder),
    readUint8: () => _chunkRJBXIRPIcjs.readUint8.call(void 0, dataDecoder),
    readUint16: () => _chunkRJBXIRPIcjs.readUint16.call(void 0, dataDecoder),
    readUint32: () => _chunkRJBXIRPIcjs.readUint32.call(void 0, dataDecoder),
    readIntVar: () => _chunkRJBXIRPIcjs.readVarInt.call(void 0, dataDecoder),
    readFloat: () => _chunkRJBXIRPIcjs.readFloat32.call(void 0, dataDecoder),
    readStringVar: () => _chunkRJBXIRPIcjs.readVarString.call(void 0, dataDecoder),
    read: () => _chunkRJBXIRPIcjs.readAny.call(void 0, dataDecoder),
    getOffset: () => dataDecoder.pos || 0
  };
}
function bitfield(bitfield2 = 0) {
  return {
    setBit: (bit, value = true) => value ? bitfield2 |= 1 << bit : bitfield2 &= ~(1 << bit),
    unsetBit: (bit) => bitfield2 &= 1 << bit,
    toggleBit: (bit) => bitfield2 ^= 1 << bit,
    getBit: (bit) => (bitfield2 & 1 << bit) !== 0,
    getValue: () => bitfield2
  };
}
async function blobToArrayBuffer(blob) {
  if (blob.arrayBuffer)
    return await blob.arrayBuffer();
  try {
    return new Promise((resolve, reject) => {
      try {
        const reader = new FileReader();
        reader.onloadend = () => resolve(reader.result);
        reader.onerror = (err) => reject(err);
        reader.onabort = (err) => reject(err);
        reader.readAsArrayBuffer(blob);
      } catch (err) {
        reject(err);
      }
    });
  } catch (err) {
  }
}
async function blobToUint8Array(blob) {
  const buffer = await blobToArrayBuffer(blob);
  if (buffer != null)
    return _chunkQ477TRCCcjs.toUint8Array.call(void 0, buffer);
}










exports.BinaryEncoder = BinaryEncoder; exports.encodeJson = encodeJson; exports.decodeJson = decodeJson; exports.createBinaryStreamEncoder = createBinaryStreamEncoder; exports.createBinaryStreamDecoder = createBinaryStreamDecoder; exports.bitfield = bitfield; exports.blobToArrayBuffer = blobToArrayBuffer; exports.blobToUint8Array = blobToUint8Array;
//# sourceMappingURL=chunk-2JJO5AQW.cjs.map