"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunk2JJO5AQWcjs = require('./chunk-2JJO5AQW.cjs');



var _chunkQ477TRCCcjs = require('./chunk-Q477TRCC.cjs');

// src/common/data/datauri.ts
function dataUriToUint8Array(dataUri) {
  if (dataUri.startsWith("data:"))
    return _chunkQ477TRCCcjs.fromBase64.call(void 0, dataUri.split(",", 2)[1]);
}
function dataUriToMimeType(dataUri) {
  if (dataUri.startsWith("data:"))
    return dataUri.slice(5).split(",", 2)[0];
}
function dataUriToBlob(dataUri) {
  if (dataUri.startsWith("data:")) {
    const [mimeString, base64String] = dataUri.slice(5).split(",", 2);
    return new Blob([_chunkQ477TRCCcjs.fromBase64.call(void 0, base64String)], { type: mimeString });
  }
}
async function blobToDataUri(blob) {
  const bin = await _chunk2JJO5AQWcjs.blobToArrayBuffer.call(void 0, blob);
  if (bin)
    return `data:${blob.type},${_chunkQ477TRCCcjs.toBase64.call(void 0, bin)}`;
}
function Uint8ArrayToDataUri(bin, type = "application/octet-stream") {
  return `data:${type},${_chunkQ477TRCCcjs.toBase64.call(void 0, bin)}`;
}







exports.dataUriToUint8Array = dataUriToUint8Array; exports.dataUriToMimeType = dataUriToMimeType; exports.dataUriToBlob = dataUriToBlob; exports.blobToDataUri = blobToDataUri; exports.Uint8ArrayToDataUri = Uint8ArrayToDataUri;
//# sourceMappingURL=chunk-J7XEZGH7.cjs.map