"use strict";

var _chunk2RRXYBU3cjs = require('../../chunk-2RRXYBU3.cjs');
require('../../chunk-BVNSW3CF.cjs');
require('../../chunk-Q477TRCC.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/message.spec.ts
describe("message", () => {
  it("should print errors", () => {
    expect(_chunk2RRXYBU3cjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(_chunk2RRXYBU3cjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })).toMatchInlineSnapshot(`"Message Error: Hello"`);
    expect(
      _chunk2RRXYBU3cjs.renderMessages.call(void 0, [
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ], { trace: false })
    ).toMatchInlineSnapshot(`
      "Message {
        "a": 1,
        "b": null
      } null undefined NaN 100 string"
    `);
  });
});
//# sourceMappingURL=message.spec.cjs.map