"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunk36GI4EJRcjs = require('./chunk-36GI4EJR.cjs');



var _chunkQ477TRCCcjs = require('./chunk-Q477TRCC.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkQ477TRCCcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkQ477TRCCcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkQ477TRCCcjs.jsonToUint8Array.call(void 0, data);
    return await _chunk36GI4EJRcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunk36GI4EJRcjs.decrypt.call(void 0, data, this.key);
    return _chunkQ477TRCCcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-VTJPQOS6.cjs.map